<?php
function getTestItems($element, $name, $title)
{
    $results = array();
    $children = $element->child_nodes();
    foreach ($children as $child)
    {
      if ($child->node_type() == XML_ELEMENT_NODE && $child->node_name() == $title)
        $results[] = $child->get_attribute($name);
    }
    return $results;
}

function outputExpandableLogColumn($record, $name, $testIndex, $title, $firstColumn) 
{
    echo ('<table class="testTimesGroup"> <tr><td align="center">');
    if ($firstColumn == 'true') 
    {
        echo ('<table class="detailedTestTimes" id="iconDetailed'.$testIndex.'">');
    } else {
        echo ('<table class="detailedTestTimes" id="'.$name.'Detailed'.$testIndex.'">');
    }
    $items = getTestItems($record, $name, $title);
    $timeIndex = 0;
    $numberOfItems = count($items);
    foreach (array_reverse($items, true) as $item) 
    {
        $timeIndex++;
        if ($name == 'result' || $name == 'currentState') 
        {
            echo ('<tr class="detailedTestStatus"><td class="detailedTestStatus">');
            if ($timeIndex == 1 && $firstColumn == 'true')
            {
                $expander = '<img src="../images/tree_collapse.gif" alt="(-)" onClick="expandCollapseLog('.$testIndex.');"/> ';
            } else {
                $expander = '';
            } 
            $src = getIconSrc($item); 
            $alt = getIconAlt($item);
            $onClick = '';
            $item = '<img src="'.$src.'" alt="'.$alt.'" '.$onClick.'/>';
        } else {
        echo ('<tr class="detailedTestTimes"><td class="detailedTestTimes">');
            $expander = '';
        }
        echo ( $expander . $item );
        echo ('</td></tr>');
    }
    echo ('</table></td></tr>');

    echo ('<tr><td align="center">');
    if ($firstColumn == 'true') 
    {
        echo ('<table class="testTimes" id="icon'.$testIndex.'">');
    } else {
        echo ('<table class="testTimes" id='.$name.$testIndex.'>');
    }
    $lastItem = $items[$numberOfItems-1];
    if ($name == 'result' || $name == 'currentState') 
    {
        echo ('<tr class="testStatus"><td class="testStatus">');
        $lastItemExpander = '';
        if ($numberOfItems > 1 && $firstColumn == 'true') 
        {
            $lastItemExpander = ' <img src="../images/tree_expand.gif" alt="(+)" onClick="expandCollapseLog('.$testIndex.');"/>'; 
        } 
        $lastItemSrc = getIconSrc($items[$numberOfItems-1]);
        $lastItemAlt = getIconAlt($items[$numberOfItems-1]);
        $lastItem = $lastItemExpander. ' <img src="'.$lastItemSrc.'" alt="'.$lastItemAlt.'"/>' ;
    } else {
        echo ('<tr class="testTimes"><td class="testTimes">');
    }
    echo ($lastItem);
    echo ('</td></tr>');
    echo ('</table></td></tr> </table>');
}

function buildSaveableLogColumn($record, $name, $title, $caption) 
{
    $html[] = '<table style="border:none; height:100%;">';
    $items = getTestItems($record, $name, $title);
    $numberOfItems = count($items);
    if ($numberOfItems > 0) 
    {
        foreach (array_reverse($items, true) as $item)
        {
            if ($name == 'result' || $name == 'currentState') 
            {
                if ($item == 'passed')
                {
                    $class = 'p';
                    $caption = translate('MSG_PASSED');
                }
                else if ($item == 'failed')
                {
                    $class = 'f';
                    $caption = translate('MSG_FAILED');
                }
                else 
                {
                    $class = 'w';
                    $caption = translate('MSG_WARNING');
                }
                $itemFinal = '<span>' . $caption . '</span>';
            } else {
                $class = "c";
                $itemFinal = $item;
            }
            $html[] = '<tr><td class="'.$class.'" style="border:none; height: 1.5em; text-align:center;">';
            $html[] = $itemFinal ;
            $html[] = '</td></tr>';
        }
    } else {
        $html[] = '<tr><td style="border:none; text-align:center;"> &nbsp; </td></tr>';
    } 
    $html[] = '</table>';
    return $html;
}

function getIconSrc($result)
{
    if ($result == 'passed')
    {
        $src = '../images/status_passed.gif';
    }
    else if ($result == 'failed')
    {
        $src = '../images/status_failed.gif';
    }
    else if ($result == 'passedWithWarnings')
    {
        $src = '../images/status_warning.gif';
    }
    else
    {
        $src = '../images/status_unknown.gif';
    }
    return $src;
}

function getIconAlt($result)
{
    if ($result == 'passed')
    {
        $alt = translate('MSG_PASSED');
    }
    else if ($result == 'failed')
    {
        $alt = translate('MSG_FAILED');
    }
    else if ($result == 'passedWithWarnings')
    {
        $alt = translate('MSG_PASSED_WITH_WARNINGS');
    }
    else
    {
        $alt = translate('MSG_UNKNOWN');
    }
    return $alt;
}
  //*/
?>
